Get Category
curl --request GET \
--url https://qwoty.app/api/categories/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://qwoty.app/api/categories/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://qwoty.app/api/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"workspace_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Electronics",
"api_name": "electronics",
"description": "Electronic products and accessories",
"is_active": true,
"parent_category_id": null,
"created_at": "2026-01-15T10:00:00Z",
"updated_at": "2026-01-15T10:00:00Z"
}
}
Categories
Get Category
Retrieve a single product category by its ID
GET
/
api
/
categories
/
{id}
Get Category
Authorization
string
required
Bearer token for authentication. Format:
Bearer qwoty_your_tokenPath Parameters
string
required
Category UUID
Examples
curl https://qwoty.app/api/categories/550e8400-e29b-41d4-a716-446655440001 \
-H "Authorization: Bearer qwoty_your_token"
const categoryId = '550e8400-e29b-41d4-a716-446655440001'
const response = await fetch(`https://qwoty.app/api/categories/${categoryId}`, {
headers: {
Authorization: 'Bearer qwoty_your_token',
},
})
const data = await response.json()
import requests
category_id = '550e8400-e29b-41d4-a716-446655440001'
response = requests.get(
f'https://qwoty.app/api/categories/{category_id}',
headers={
'Authorization': 'Bearer qwoty_your_token'
}
)
data = response.json()
Response
boolean
Indicates whether the request was successful
object
Category object
Show Category Object
Show Category Object
{
"success": true,
"data": {
"id": "550e8400-e29b-41d4-a716-446655440001",
"workspace_id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Electronics",
"api_name": "electronics",
"description": "Electronic products and accessories",
"is_active": true,
"parent_category_id": null,
"created_at": "2026-01-15T10:00:00Z",
"updated_at": "2026-01-15T10:00:00Z"
}
}
Error Responses
{
"success": false,
"error": "Category not found"
}
Was this page helpful?
⌘I

